Package net.shibboleth.idp.cas.ticket

# Class TicketContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
net.shibboleth.idp.cas.ticket.TicketContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class TicketContext extends BaseContext
IdP context that stores a granted CAS ticket. This context is typically a child of `ProfileRequestContext`.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Ticket`
`t`
Ticket held by this context.

## Constructor Summary

Constructors
Constructor
Description
`TicketContext(Ticket ticket)`
Creates a new ticket context to hold a CAS protocol ticket.

## Method Summary

Modifier and Type
Method
Description
`Ticket`
`getTicket()`
Get the ticket held by this context.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### t

@Nonnull private final Ticket t
Ticket held by this context.

## Constructor Details

### TicketContext

public TicketContext(@Nonnull Ticket ticket)
Creates a new ticket context to hold a CAS protocol ticket.

Parameters:
  `ticket` - Ticket to hold.

## Method Details

### getTicket

@Nonnull public Ticket getTicket()
Get the ticket held by this context.

Returns:
  ticket held by this context